Replication Usages - List

Fetches the replication usages of the vault.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.RecoveryServices/vaults/{vaultName}/replicationUsages?api-version=2026-07-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

vaultName
path True

string

The name of the Vault

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ReplicationUsageList

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets Replication usages of vault

Sample request

GET https://management.azure.com/subscriptions/6808dbbc-98c7-431f-a1b1-9580902423b7/resourceGroups/avrai7517RG1/providers/Microsoft.RecoveryServices/vaults/avrai7517Vault1/replicationUsages?api-version=2026-07-01

Sample response

{
  "value": [
    {
      "jobsSummary": {
        "failedJobs": 0,
        "inProgressJobs": 0,
        "suspendedJobs": 0
      },
      "monitoringSummary": {
        "deprecatedProviderCount": 0,
        "eventsCount": 0,
        "supportedProviderCount": 0,
        "unHealthyProviderCount": 0,
        "unHealthyVmCount": 0,
        "unsupportedProviderCount": 0
      },
      "protectedItemCount": 2,
      "recoveryPlanCount": 1,
      "registeredServersCount": 2
    }
  ]
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

JobsSummary

Summary of the replication job data for this vault.

MonitoringSummary

Summary of the replication monitoring data for this vault.

ReplicationUsage

Replication usages of a vault.

ReplicationUsageList

Replication usages for vault.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

JobsSummary

Summary of the replication job data for this vault.

Name Type Description
failedJobs

integer (int32)

Count of failed jobs.

inProgressJobs

integer (int32)

Count of in-progress jobs.

suspendedJobs

integer (int32)

Count of suspended jobs.

MonitoringSummary

Summary of the replication monitoring data for this vault.

Name Type Description
deprecatedProviderCount

integer (int32)

Count of all deprecated recovery service providers.

eventsCount

integer (int32)

Count of all critical warnings.

supportedProviderCount

integer (int32)

Count of all the supported recovery service providers.

unHealthyProviderCount

integer (int32)

Count of unhealthy replication providers.

unHealthyVmCount

integer (int32)

Count of unhealthy VMs.

unsupportedProviderCount

integer (int32)

Count of all the unsupported recovery service providers.

ReplicationUsage

Replication usages of a vault.

Name Type Description
jobsSummary

JobsSummary

Summary of the replication jobs data for this vault.

monitoringSummary

MonitoringSummary

Summary of the replication monitoring data for this vault.

protectedItemCount

integer (int32)

Number of replication protected items for this vault.

recoveryPlanCount

integer (int32)

Number of replication recovery plans for this vault.

recoveryServicesProviderAuthType

integer (int32)

The authentication type of recovery service providers in the vault.

registeredServersCount

integer (int32)

Number of servers registered to this vault.

ReplicationUsageList

Replication usages for vault.

Name Type Description
nextLink

string

value

ReplicationUsage[]

The list of replication usages for the given vault.